c read_chi2.f
c Read chi2.in file and extract some data.
c Miroslav Broz (miroslav.broz@email.cz), Jul 30th 2015

      subroutine read_chi2(nbod, m, elmts, d, epoch)

      include 'common.inc'
      integer nbod
      real*8 m(NPLMAX), elmts(6, NPLMAX), d, epoch

      integer NDIMMAX
      parameter(NDIMMAX = 28)
      integer i, j, k, iu, ierr, nparam
      real*8 x_param(NDIMMAX)
      character*255 str

      iu = 10
      open(unit=iu, file="chi2.in", status="old", iostat=ierr)
      if (ierr.ne.0) then
        write(*,*) 'Error opening chi2.in file.'
        stop
      endif

5     continue
        read(iu,10,end=990,err=990) str
10      format(a)
      if (str(1:1).eq.'#') goto 5
      read(str,*,end=990,err=990) nparam
      if (nparam.gt.NDIMMAX) then
        write(*,*) 'Error nparam > NDIMMAX = ', NDIMMAX
        stop
      endif

      read(iu,*,end=990,err=990) (x_param(j), j = 1, nparam)
      read(iu,*,end=990,err=990) epoch
      read(iu,*,end=990,err=990) d

      close(iu)

      nbod = (nparam-1)/7+1
      do i = 1, nbod
        m(i) = x_param(i)
      enddo
      do i = 2, nbod
        do j = 1, 6
          k = 6*(i-2)+j+4
          elmts(j,i) = x_param(k)
        enddo
      enddo

      return

990   continue
      write(*,*) 'Error reading chi2.in file.'
      stop
      end


